Page MenuHomePhabricator

Add more NetBSD platform glue for lldb
ClosedPublic

Authored by krytarowski on Oct 24 2015, 3:32 AM.

Details

Summary

These changes are still incomplete, but we are almost there.

Changes:

  • CMake and gmake code
  • SWIG code
  • minor code additions

Diff Detail

Repository
rL LLVM

Event Timeline

krytarowski retitled this revision from to Add more NetBSD platform glue for lldb.
krytarowski updated this object.
krytarowski set the repository for this revision to rL LLVM.
krytarowski added a subscriber: joerg.
krytarowski added a subscriber: lldb-commits.

+brucem, committer of the previous NetBSD glue

akat1 added a subscriber: akat1.Oct 27 2015, 4:46 AM

I've compiled it successfully on:

Distributor ID: Ubuntu
Description: Ubuntu 14.04.3 LTS
Release: 14.04
Codename: trusty
Linux AAH 3.13.0-46-generic #75-Ubuntu SMP Tue Feb 10 15:24:04 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

I have successfully compiled this patch on FreeBSD.

$   uname -a
FreeBSD 10.1-RELEASE-p19 FreeBSD 10.1-RELEASE-p19 #0: Sat Aug 22 03:55:09 UTC 2015     root@amd64-builder.daemonology.net:/usr/obj/usr/src/sys/GENERIC  amd64
youri added a subscriber: youri.Nov 1 2015, 8:03 AM

This builds on OS X:

Darwin mac.local 15.0.0 Darwin Kernel Version 15.0.0: Wed Aug 26 16:57:32 PDT 2015; root:xnu-3247.1.106~1/RELEASE_X86_64 x86_64

emaste, are you okay with this and willing to approve it?

It looks good to me.

joerg accepted this revision.Nov 6 2015, 3:21 PM
joerg added a reviewer: joerg.

LGTM

This revision is now accepted and ready to land.Nov 6 2015, 3:21 PM
emaste accepted this revision.Nov 6 2015, 6:22 PM
emaste edited edge metadata.

Fine by me.

I'm not sure how we ended up with the Python-with-semicolons in scripts/buildSwigWrapperClasses.py (prior to this change) though.

brucem added a comment.Nov 6 2015, 8:10 PM

Kamil, please rebase forward and I'll land it.

The semicolons in Python are gone now. And so is the need for that block of Python at all.

krytarowski updated this revision to Diff 39639.Nov 7 2015, 7:24 AM
krytarowski edited edge metadata.

Rebase to head

This revision was automatically updated to reflect the committed changes.